<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: TabWidget.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_tab_widget_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">TabWidget.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_tab_widget_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// %flair:license{</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">// This file is part of the Flair framework distributed under the</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// CECILL-C License, Version 1.0.</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">// %flair:license}</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"></span><span class="preprocessor">#ifndef TABWIDGET_H</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#define TABWIDGET_H</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_widget_8h.html">Widget.h</a>&gt;</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="keyword">namespace </span>gui {</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="keyword">class </span>LayoutPosition;</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;</div>
<div class="line"><a name="l00029"></a><span class="lineno"><a class="line" href="classflair_1_1gui_1_1_tab_widget.html">   29</a></span>&#160;<span class="keyword">class </span><a class="code" href="classflair_1_1gui_1_1_tab_widget.html">TabWidget</a> : <span class="keyword">public</span> <a class="code" href="classflair_1_1gui_1_1_widget.html">Widget</a> {</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00035"></a><span class="lineno"><a class="line" href="classflair_1_1gui_1_1_tab_widget.html#a3ec070a09776327645852225989ba31b">   35</a></span>&#160;  <span class="keyword">typedef</span> <span class="keyword">enum</span> {</div>
<div class="line"><a name="l00036"></a><span class="lineno"><a class="line" href="classflair_1_1gui_1_1_tab_widget.html#a3ec070a09776327645852225989ba31baf909a09a5e3f5713ff5c4db1ad40166f">   36</a></span>&#160;    <a class="code" href="classflair_1_1gui_1_1_tab_widget.html#a3ec070a09776327645852225989ba31baf909a09a5e3f5713ff5c4db1ad40166f">North</a> ,</div>
<div class="line"><a name="l00037"></a><span class="lineno"><a class="line" href="classflair_1_1gui_1_1_tab_widget.html#a3ec070a09776327645852225989ba31bacce1b78c96723b678957942a3a8ceaa1">   37</a></span>&#160;    <a class="code" href="classflair_1_1gui_1_1_tab_widget.html#a3ec070a09776327645852225989ba31bacce1b78c96723b678957942a3a8ceaa1">South</a> ,</div>
<div class="line"><a name="l00038"></a><span class="lineno"><a class="line" href="classflair_1_1gui_1_1_tab_widget.html#a3ec070a09776327645852225989ba31ba684068cc3fc6e852ec3795f0c04822b1">   38</a></span>&#160;    <a class="code" href="classflair_1_1gui_1_1_tab_widget.html#a3ec070a09776327645852225989ba31ba684068cc3fc6e852ec3795f0c04822b1">West</a> ,</div>
<div class="line"><a name="l00039"></a><span class="lineno"><a class="line" href="classflair_1_1gui_1_1_tab_widget.html#a3ec070a09776327645852225989ba31ba3fa0a5839833277137243784633a4ad9">   39</a></span>&#160;    <a class="code" href="classflair_1_1gui_1_1_tab_widget.html#a3ec070a09776327645852225989ba31ba3fa0a5839833277137243784633a4ad9">East</a> </div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;  } <a class="code" href="classflair_1_1gui_1_1_tab_widget.html#a3ec070a09776327645852225989ba31b">TabPosition_t</a>;</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_tab_widget.html#abcffcee3606a33cecabb20a8c1de4a40">TabWidget</a>(<span class="keyword">const</span> <a class="code" href="classflair_1_1gui_1_1_layout_position.html">LayoutPosition</a> *position, std::string name,</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;            <a class="code" href="classflair_1_1gui_1_1_tab_widget.html#a3ec070a09776327645852225989ba31b">TabPosition_t</a> tabPosition = <a class="code" href="classflair_1_1gui_1_1_tab_widget.html#a3ec070a09776327645852225989ba31ba684068cc3fc6e852ec3795f0c04822b1">TabWidget::West</a>);</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_tab_widget.html#a6d0fb8dbd74ecbc23eb727470824a993">~TabWidget</a>();</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;<span class="keyword">private</span>:</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;};</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;} <span class="comment">// end namespace core</span></div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;} <span class="comment">// end namespace flair</span></div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;<span class="preprocessor">#endif // TABWIDGET_H</span></div>
<div class="ttc" id="namespaceflair_html"><div class="ttname"><a href="namespaceflair.html">flair</a></div><div class="ttdoc">namespace of the flair Framework </div><div class="ttdef"><b>Definition:</b> Ahrs.h:19</div></div>
<div class="ttc" id="classflair_1_1gui_1_1_tab_widget_html_a3ec070a09776327645852225989ba31ba684068cc3fc6e852ec3795f0c04822b1"><div class="ttname"><a href="classflair_1_1gui_1_1_tab_widget.html#a3ec070a09776327645852225989ba31ba684068cc3fc6e852ec3795f0c04822b1">flair::gui::TabWidget::West</a></div><div class="ttdef"><b>Definition:</b> TabWidget.h:38</div></div>
<div class="ttc" id="_widget_8h_html"><div class="ttname"><a href="_widget_8h.html">Widget.h</a></div><div class="ttdoc">Abstract class for all Framework&#39;s widget classes. </div></div>
<div class="ttc" id="classflair_1_1gui_1_1_tab_widget_html_a3ec070a09776327645852225989ba31b"><div class="ttname"><a href="classflair_1_1gui_1_1_tab_widget.html#a3ec070a09776327645852225989ba31b">flair::gui::TabWidget::TabPosition_t</a></div><div class="ttdeci">TabPosition_t</div><div class="ttdoc">Position of tabs. </div><div class="ttdef"><b>Definition:</b> TabWidget.h:35</div></div>
<div class="ttc" id="classflair_1_1gui_1_1_tab_widget_html_a3ec070a09776327645852225989ba31bacce1b78c96723b678957942a3a8ceaa1"><div class="ttname"><a href="classflair_1_1gui_1_1_tab_widget.html#a3ec070a09776327645852225989ba31bacce1b78c96723b678957942a3a8ceaa1">flair::gui::TabWidget::South</a></div><div class="ttdef"><b>Definition:</b> TabWidget.h:37</div></div>
<div class="ttc" id="classflair_1_1gui_1_1_tab_widget_html_abcffcee3606a33cecabb20a8c1de4a40"><div class="ttname"><a href="classflair_1_1gui_1_1_tab_widget.html#abcffcee3606a33cecabb20a8c1de4a40">flair::gui::TabWidget::TabWidget</a></div><div class="ttdeci">TabWidget(const LayoutPosition *position, std::string name, TabPosition_t tabPosition=TabWidget::West)</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="classflair_1_1gui_1_1_tab_widget_html_a6d0fb8dbd74ecbc23eb727470824a993"><div class="ttname"><a href="classflair_1_1gui_1_1_tab_widget.html#a6d0fb8dbd74ecbc23eb727470824a993">flair::gui::TabWidget::~TabWidget</a></div><div class="ttdeci">~TabWidget()</div><div class="ttdoc">Destructor. </div></div>
<div class="ttc" id="classflair_1_1gui_1_1_tab_widget_html"><div class="ttname"><a href="classflair_1_1gui_1_1_tab_widget.html">flair::gui::TabWidget</a></div><div class="ttdoc">Class displaying a QTabWidget on the ground station. </div><div class="ttdef"><b>Definition:</b> TabWidget.h:29</div></div>
<div class="ttc" id="classflair_1_1gui_1_1_tab_widget_html_a3ec070a09776327645852225989ba31ba3fa0a5839833277137243784633a4ad9"><div class="ttname"><a href="classflair_1_1gui_1_1_tab_widget.html#a3ec070a09776327645852225989ba31ba3fa0a5839833277137243784633a4ad9">flair::gui::TabWidget::East</a></div><div class="ttdef"><b>Definition:</b> TabWidget.h:39</div></div>
<div class="ttc" id="classflair_1_1gui_1_1_widget_html"><div class="ttname"><a href="classflair_1_1gui_1_1_widget.html">flair::gui::Widget</a></div><div class="ttdoc">Abstract class for all Framework&#39;s widget classes. </div><div class="ttdef"><b>Definition:</b> Widget.h:38</div></div>
<div class="ttc" id="classflair_1_1gui_1_1_layout_position_html"><div class="ttname"><a href="classflair_1_1gui_1_1_layout_position.html">flair::gui::LayoutPosition</a></div><div class="ttdoc">Class to define a position in a layout on the ground station. </div><div class="ttdef"><b>Definition:</b> LayoutPosition.h:28</div></div>
<div class="ttc" id="classflair_1_1gui_1_1_tab_widget_html_a3ec070a09776327645852225989ba31baf909a09a5e3f5713ff5c4db1ad40166f"><div class="ttname"><a href="classflair_1_1gui_1_1_tab_widget.html#a3ec070a09776327645852225989ba31baf909a09a5e3f5713ff5c4db1ad40166f">flair::gui::TabWidget::North</a></div><div class="ttdef"><b>Definition:</b> TabWidget.h:36</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_33c2ee9b1665499374b4225c427cf176.html">igep</a></li><li class="navelem"><a class="el" href="dir_f1fe274389177bd7e17de7949c4ffada.html">flair-src</a></li><li class="navelem"><a class="el" href="dir_3ef62148cf94871b4b6ee5d6e3a989c1.html">lib</a></li><li class="navelem"><a class="el" href="dir_97265977dbbd48c696782ccac102bad5.html">FlairCore</a></li><li class="navelem"><a class="el" href="dir_6c198461db290ac9abcdd44184573216.html">src</a></li><li class="navelem"><a class="el" href="_tab_widget_8h.html">TabWidget.h</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
